[Calendar] Year is missing from the requirement

RESOLVED FIXED

Status

Firefox OS
Gaia::Calendar
RESOLVED FIXED
5 years ago
5 years ago

People

(Reporter: GH to BZ, Unassigned)

Tracking

Firefox Tracking Flags

(Not tracked)

Details

(Whiteboard: [label:needsUXinput][label:calendar], QARegressExclude)

(Reporter)

Description

5 years ago
[GitHub issue by nhirata on 2012-07-23T22:37:13Z, https://github.com/mozilla-b2g/gaia/issues/2728]
## Environment :
Otoro phone, build 2012-07-23
Taken from default.xml in b2g-distro: 
* "platform_build" revision= 2163d79af8c06ffcf7607a83e01dc5bf1107fd8e
* "gaia" revision= 2bf88a9fe4d479cfa4e3434dccd87b5073273097
* "mozilla-central" revision= 7b27b11c6e7fc65ac14789f9dfba00401d06a57b
* "gonk-misc" revision= c6a9a256cd4a1c53696488739d36778b9dbfc881
## Repro :
1. go to calendar app : no year.
2. go to req: https://wiki.mozilla.org/Gaia/Calendar#Requirements
## Expected :
* showing of the year

## Actual :
* year is not part of the req, no year shown

## Note :
* How does one calculate or figure out when the leap year is?

@jcarpenter
(Reporter)

Comment 1

5 years ago
[GitHub comment by jcarpenter on 2012-07-23T22:52:21Z]
@frank-lee
(Reporter)

Comment 2

5 years ago
[GitHub comment by frank-lee on 2012-07-24T17:46:35Z]
In the IxD, you can see the year is included whenever you see the date:
https://wiki.mozilla.org/Gaia/Calendar#Design_Specs

@lightsofapollo can answer the leap year question.
(Reporter)

Comment 3

5 years ago
[GitHub comment by jds2501 on 2012-09-19T22:28:38Z]
I'm confused by this bug. Is this basically the issue that the year doesn't show up in the date below the calendar?
(Reporter)

Comment 4

5 years ago
[GitHub comment by nhirata on 2012-09-19T22:34:28Z]
I had not seen the year in the calendar spec initially, frank-lee clarified.
in the month view you should see the year in the title with the month, in the day view you should also see the year in the text as a subtitle : https://www.dropbox.com/sh/ygwfxk6chpshxdj/ZfMFRaih7w/Apps/Calendar/B2G_Calendar_DRAFT_v09.pdf page 4 as an example.

Current implementation of the month view is fine, the year is missing from the day view.
Also the week view has a year listing, though the week view is not implemented yet.
(Reporter)

Comment 5

5 years ago
[GitHub comment by jds2501 on 2012-09-19T22:35:30Z]
@nhirata Ah, so the issue I hit is different than.
(Reporter)

Comment 6

5 years ago
[GitHub comment by nhirata on 2012-09-19T23:02:28Z]
yes so to speak.  I thought the year should also be listed in the month view as well.  According to the spec it is fine.  :)  Thanks for filing the bug.
Component: Gaia → Gaia::Calendar
Resolving as fixed. I believe this is all to spec now, if not please open a new bug for the specific instance of this.
Status: NEW → RESOLVED
Last Resolved: 5 years ago
Resolution: --- → FIXED

Comment 8

5 years ago
It's hard to know what the current requirement is.  Leaving verifying this one until the requirements are up to date and clear.  Incidentally, I do not see subtitle with the year anywhere in Day view (in Week View, year appears in the titlebar; in Month View, year appears in title bar (next to the month), as well as in the subtitle showing the day.

But not possible to resolve until we know what the current requirement is.

Comment 9

5 years ago
This issue is the same as John Hammink comment8 for  device Ungia; build #20121231070201 v.1

Comment 10

5 years ago
Unagi device, Build ID 20130112070202
The Year is shown on the title bar in the Month and Week View of the Calendar. There is no subtitle with the year in the Day View.
Whiteboard: [label:needsUXinput][label:calendar] → [label:needsUXinput][label:calendar], QARegressExclude
(In reply to Mila Davydova from comment #10)
> Unagi device, Build ID 20130112070202
> The Year is shown on the title bar in the Month and Week View of the
> Calendar. There is no subtitle with the year in the Day View.

File a separate bug about showing the year in the Day View.

Comment 12

5 years ago
New bug is created for this issue:
https://bugzilla.mozilla.org/show_bug.cgi?id=830031
You need to log in before you can comment on or make changes to this bug.